Skip to content
Docs

Add a skill

POST
/api/workspaces/{ws}/skills

Written out as name, description and body, or a whole SKILL.md as skillMd.

Authorization

session
cookiebetter-auth.session_token<token>

Set by POST /api/auth/sign-in/email.

Path Parameters

ws*string

The workspace id (from GET /api/me).

Request Body

application/json
  1. body
name*string
Lengthlength <= 1000
description*string
Lengthlength <= 10000
body*string
Lengthlength <= 2000000
files?

Response Body

The skill.

Example Request
curl -X POST 'https://app.useroster.work/api/workspaces/string/skills' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "description": "string",  "body": "string"}'
Example Response
Empty